## org.gnu.gtk
Class GtkObject

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject

Direct Known Subclasses:
  Adjustment, CellRenderer, ItemFactory, ToolTips, Widget

public class GtkObject
extends GObject

This is the base class of all widgets and a few non-widget objects.

Method Summary
`void` `destroy()` This method is now a no-op.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `sink()` Removes the floating reference from a GtkObject, if it exists.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### destroy

    public void destroy()

  This method is now a no-op. Native resources for a specific java object are automatically reclaimed during the finalization of that object.

  Note: In some rare cases, subclasses may need an explicit call to destroy in order to release their native resources. These classes may override this method to provide this functionality.

  Currently, the only example of this is `Window`. See its documentation for more details.

  See Also:
    `Window.destroy()`

### sink

    public void sink()

  Removes the floating reference from a GtkObject, if it exists. Otherwise does nothing.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.